
package org.objectweb.petals.demo.mortgage.profiler.jaxws;

import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.objectweb.petals.demo.mortgage.profiler.jaxws.EvaluateSimpleProfile;

@XmlRootElement(name = "evaluateSimpleProfile", namespace = "http://petals.objectweb.org/")
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "evaluateSimpleProfile", namespace = "http://petals.objectweb.org/", propOrder = {
    "salary",
    "propertyTaxes",
    "insurance",
    "autoPayment",
    "creditCards",
    "otherPayments"
})
public class EvaluateSimpleProfile {

    @XmlElement(name = "salary", namespace = "")
    private float salary;
    @XmlElement(name = "propertyTaxes", namespace = "")
    private float propertyTaxes;
    @XmlElement(name = "insurance", namespace = "")
    private float insurance;
    @XmlElement(name = "autoPayment", namespace = "")
    private float autoPayment;
    @XmlElement(name = "creditCards", namespace = "")
    private float creditCards;
    @XmlElement(name = "otherPayments", namespace = "")
    private float otherPayments;

    /**
     * 
     * @return
     *     returns float
     */
    public float getSalary() {
        return this.salary;
    }

    /**
     * 
     * @param salary
     *     the value for the salary property
     */
    public void setSalary(float salary) {
        this.salary = salary;
    }

    /**
     * 
     * @return
     *     returns float
     */
    public float getPropertyTaxes() {
        return this.propertyTaxes;
    }

    /**
     * 
     * @param propertyTaxes
     *     the value for the propertyTaxes property
     */
    public void setPropertyTaxes(float propertyTaxes) {
        this.propertyTaxes = propertyTaxes;
    }

    /**
     * 
     * @return
     *     returns float
     */
    public float getInsurance() {
        return this.insurance;
    }

    /**
     * 
     * @param insurance
     *     the value for the insurance property
     */
    public void setInsurance(float insurance) {
        this.insurance = insurance;
    }

    /**
     * 
     * @return
     *     returns float
     */
    public float getAutoPayment() {
        return this.autoPayment;
    }

    /**
     * 
     * @param autoPayment
     *     the value for the autoPayment property
     */
    public void setAutoPayment(float autoPayment) {
        this.autoPayment = autoPayment;
    }

    /**
     * 
     * @return
     *     returns float
     */
    public float getCreditCards() {
        return this.creditCards;
    }

    /**
     * 
     * @param creditCards
     *     the value for the creditCards property
     */
    public void setCreditCards(float creditCards) {
        this.creditCards = creditCards;
    }

    /**
     * 
     * @return
     *     returns float
     */
    public float getOtherPayments() {
        return this.otherPayments;
    }

    /**
     * 
     * @param otherPayments
     *     the value for the otherPayments property
     */
    public void setOtherPayments(float otherPayments) {
        this.otherPayments = otherPayments;
    }

}
